<bugID>303444<Summary>Feedview doesn't show the year of a post</Summary><Description>User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8b4) Gecko/20050803 Firefox/1.0+
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8b4) Gecko/20050803 Firefox/1.0+

Feedview doesn't show the year of the post, just the day and month. On less
frequently updated feeds, you are left wondering what year a post is from.

Please show the year, too. If that would cause too much clutter, consider
showing it only when the post's year is not the current year.

Reproducible: Always

Steps to Reproduce:</Description></bugID>